"use strict";

import human_filesize from '../misc/human_filesize.mjs';

export default {
	name: "CPU",
	icon: "microchip",
	items: [
		{
			name: "Frequency (GHz)",
			type: "guage",
			guage: { min: 0, max: 6 },
			content: {
				"min": "frequency.min",
				"max": "frequency.max",
				"average": "frequency.avg"
			}
		},
		{
			name: "Frequency per-core (GHz)",
			type: "guage",
			guage: { min: 0, max: 6 },
			content: (table) => table.frequency.cores
		},
		{
			name: "Temperature (°C)",
			type: "guage",
			guage: { min: 0, max: 100 },
			content: "main",
		},
		{
			name: "Chipset temperature (°C)",
			type: "guage",
			guage: { min: 0, max: 100 },
			content: "main"
		}
	]
};
